Package Details: qt-avif-image-plugin-libavif-git r68.6920fe4-1

Git Clone URL: https://aur.archlinux.org/qt-avif-image-plugin-libavif-git.git (read-only, click to copy)
Package Base: qt-avif-image-plugin-libavif-git
Description: Qt plug-in to allow Qt and KDE based applications to read/write AVIF images.
Upstream URL: https://github.com/novomesk/qt-avif-image-plugin
Licenses: BSD
Submitter: aviallon
Maintainer: aviallon
Last Packager: aviallon
Votes: 1
Popularity: 0.49
First Submitted: 2020-08-24 00:01 (UTC)
Last Updated: 2020-08-24 00:01 (UTC)

Latest Comments

dreieck commented on 2021-09-27 07:32 (UTC)

Conflicts for me with kimageformats:

qt-avif-image-plugin-git: /usr/share/kservices5/qimageioplugins/avif.desktop exists in filesystem (owned by kimageformats)

.. maybe this package is not needed anymore?

dreieck commented on 2021-09-27 07:30 (UTC)

This package has license=('BSD'), but BSD is no pre installed license at /usr/share/licenses/common/.

So, the license text of this package should be explicitly installed to /usr/share/licenses/qt-avif-image-plugin-git/.

You install it to /usr/share/licenses/qt-avif-image-plugin/, but the directory should match the ${pkgname}, i.e. with -git in case of this package.

Thanks for maintaining!

dreieck commented on 2021-09-26 22:02 (UTC)

  • Can you please add provides=("qt-avif-image-plugin-libavif"),
  • and can you check how this package relates to qt-avif-image-plugin-git and maybe add a corresponding conflicts and mayby provides-entry?
  • Does it really need libavif-git as dependency, or would libavif suffice? For qt-avif-image-plugin-git, which uses the same source, libavif is specified as sufficient dependency.

Thanks for maintaining!

dreieck commented on 2021-09-26 22:00 (UTC)

Can you please add provides=("qt-avif-image-plugin"), and can you check how this package relates to qt-avif-image-plugin-libavif-git and maybe add a corresponding conflicts and mayby replaces-entry?

Thanks for maintaining!